linux-mtk (5.15.0-1027.31) jammy; urgency=medium

  * jammy/linux-mtk: 5.15.0-1027.31 -proposed tracker (LP: #2037290)

  * dependency on crda obsolete according to Debian (LP: #1958918)
    - [Packaging] mtk: switch dependency from crda to wireless-regdb

 -- Wen-chien Jesse Sung <jesse.sung@canonical.com>  Wed, 27 Sep 2023 15:11:16 +0800

linux-mtk (5.15.0-1026.28) jammy; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs for CONFIG_UBUNTU_ODM_DRIVERS

  * Miscellaneous upstream changes
    - GENIO: mtk-vcu-driver: mt8395: Create device at the end of probe
    - GENIO: dt-bindings: reset: mt8188: Modify VDOSYS1 reset control bit

 -- Jian Hui Lee <jianhui.lee@canonical.com>  Thu, 21 Sep 2023 05:33:27 +0800

linux-mtk (5.15.0-1025.27) jammy; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * Miscellaneous Ubuntu changes
    - SAUCE: (no-up) bluetooth: btmtksdio: disable mt7663 support
    - [Config] updateconfigs for CONFIG_MTK_SOC_THERMAL

  * Miscellaneous upstream changes
    - GENIO: media: platform: mtk-mdp3: Fix null pointer access in try_fmt
    - GENIO: ASoC: mediatek: mt8195: add hdmi/dp jack pins
    - GENIO: ASoC: mediatek: mt8188: add hdmi/dp jack pins
    - GENIO: media: i2c: ar0330: Add Aptina AR0330 driver
    - GENIO: mtk-mdp-driver: Prevent unreliable crash and driver clean up

 -- Jian Hui Lee <jianhui.lee@canonical.com>  Thu, 07 Sep 2023 20:54:00 +0800

linux-mtk (5.15.0-1024.26) jammy; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] resync update-dkms-versions helper
    - [Packaging] resync getabis
    - [Packaging] update helper scripts

  * Miscellaneous Ubuntu changes
    - SAUCE: (no-up) arm64: dts: mediatek: genio-1200-evk-*: disable ar0430 sensor
      device tree overlay
    - [Config] updateconfigs for CONFIG_VIDEO_MEDIATEK_JPEG

  * Miscellaneous upstream changes
    - GENIO: gpu: Add mechanism to setup active GPU cores numbers by platform
    - GENIO: gpu: arm: Fix Event leaked_storage: Variable "mfg" going out of scope
      leaks the storage it points to.

 -- Jian Hui Lee <jianhui.lee@canonical.com>  Fri, 01 Sep 2023 12:42:20 +0800

linux-mtk (5.15.0-1023.25) jammy; urgency=medium

  * Miscellaneous Ubuntu changes
    - SAUCE: (no-up) arm64: dts: mediatek: add makefile for platforms and boards.
    - SAUCE: (no-up) arm64: dts: mediatek: genio-1200-evk-*: cleanup platform and
      hardware device tree
    - SAUCE: (no-up) arm64: dts: mediatek: genio-350-evk: cleanup platform and
      hardware device tree
    - SAUCE: (no-up) arm64: dts: mediatek: genio-510-evk: cleanup platform and
      hardware device tree
    - SAUCE: (no-up) arm64: dts: mediatek: genio-700-evk: cleanup platform and
      hardware device tree
    - [Config] updateconfigs for CONFIG_ARM_MEDIATEK_CPUFREQ
    - SAUCE: (no-up) arm64: dts: mediatek: genio-700-evk: disable unsupported dtbo

  * Miscellaneous upstream changes
    - GENIO: drm/mediatek: bridge: Add ITE IT6122
    - GENIO: drm/mediatek: panel: Add KOE TX18D204VM0BAA
    - GENIO: media: platform: mtk-mdp3: Implement more v4l2_ioctl_ops of mdp-
      capture
    - GENIO: drm/mediatek: dp: fix leaked storage in mtk_dp_get_edid
    - GENIO: vcodec: mt8395: vdec: Add error handle paging request in v4l2_open
    - GENIO: drm/mediatek: hdmi: Fix multichannel/hw_ncts,Add DTS_HD/MLP flow
    - Revert "GENIO: vcodec: mt8395: vdec: Add error handle paging request in
      v4l2_open"
    - GENIO: media: platform: mtk-mdp3: Remove poll monitor status when split init
    - GENIO: arm64: dts: mediatek: genio-700-evk: disable backlight_lcd0
    - GENIO: media: platform: mtk-mdp3: Add user info for MDP FW
    - GENIO: media: platform: mtk-mdp3: integrate the release job after CMDQ send
    - GENIO: drm/mediatek: bridge: fix uninit var in IT6122_ShowPParam
    - GENIO: drm/mediatek: dp: fix uninit var in mtk_dp_get_edid
    - GENIO: drm/mediatek: panel: fix KOE TX18D204VM0BAA power sequence flow
    - GENIO: arm64: dts: mediatek: genio-510-evk: enable hub initialization
    - GENIO: media: platform: mtk-jpeg: Fix buffer 16x16 alignment issue
    - GENIO: soc: mediatek: hdmirx: mt8195: Fix coverity issues
    - GENIO: media: platform: mtk-mdp3: Fix using uninitialized value
    - GENIO: ASoC: mediatek: mt8188: add dmic hw gain control
    - GENIO: ASoC: mediatek: mt8188: add DMIC clk reordering for fifo_soft_rst
    - GENIO: ASoC: mediatek: mt8195: add dmic hw gain control
    - GENIO: ASoC: mediatek: mt8195: add DMIC clk reordering for fifo_soft_rst
    - GENIO: ASoC: mediatek: mt8188: fix uninit_use in dmic_hw_gain_ctrl_put
    - GENIO: media: platform: mtk-mdp3: Refine cap flow & remove Split reset
    - GENIO: ASoC: mediatek: mt8195: fix uninit_use in dmic_hw_gain_ctrl_put
    - GENIO: drm/mediatek: dp: fix mtk_dp_poweron flow
    - GENIO: drm/mediatek: dp: add swirq related flow
    - linux: genio-700-evk: add bridge ITE IT6122 and panel KOE TX18D204VM0BA
    - dtbo: genio-700-evk: add dsi2lvds relative display dtbo
    - dtbo: genio-700-evk: enable backlight_lcd0 in edp related display dtbo
    - dtbo: Add dts files for genio-510-evk
    - dtbo: genio-510-evk: sync display dtbo from genio-700-evk
    - dtbo: Add dtb files for mt8370
    - dtbo: mt8370: Add apusys overlay
    - dtbo: mt8390: move gpu-mali dtbo to SoC specific folder
    - dtbo: mt8390: Add video.dts
    - dtbo: mt8390: video: Fix vdec clock setting
    - dtbo: mt8390: Add mtk isp71 camsys node
    - dtbo: mt8390: Add mtk-camera.dtsi
    - dtbo: mt8390: Add apusys overlay
    - dtbo: mt8390: video: add port info setting for venc
    - dtbo: mt8390: Fix mtk-camera.dtsi include wrong memory port header
    - dtbo: mt8395: move gpu-mali dtbo to SoC specific folder
    - dtbo: mt8395: move video dtbo to SoC specific folder
    - dtbo: mt8395: Add apusys overlay
    - dtbo: mt8395: Fix crash because vpu core1 probe first
    - dtbo: mt8395: Move camera dtsi to common directory
    - dtbo: mt8395: mtk-camera: Add stream definitions
    - dtbo: mt8195-demo: video: add port info setting for venc
    - dtbo: mt8395: apusys: Set firmware searching path via firmware-name in dts
    - dtbo: mt8395: Add interrupts for iommu_apu0 and iommu_apu1
    - dtbo: genio-700-evk: Add imgsensor ar0430+ap1302 D6 DTB overlay
    - dtbo: genio-700-evk: Modify sensor-names of imgsensor ar0430ap1302 overlay
    - dtbo: genio-700-evk: Add imgsensor ar0830+ap1302 overlay
    - GENIO: vcodec: mt8395: vdec: Add error handle on paging request in v4l2_open
    - GENIO: vcodec: mt8395: vdec: Fix using a invalid value for type '_Bool'
    - GENIO: vcodec: mt8395: venc: Add error handle on paging request in v4l2_open
    - GENIO: vcodec: mt8395: venc: Fix using a invalid value for type '_Bool'
    - GENIO: vcodec: mt8395: venc: Fix using variables without initializer
    - dtbo: mt8365: move gpu-mali dtbo to SoC specific folder
    - dtbo: mt8365: Move video dtbo to SoC specific folder
    - dtbo: mt8365: video: Revise vcu, vdec, and venc compatible string

 -- Jian Hui Lee <jianhui.lee@canonical.com>  Thu, 24 Aug 2023 11:47:34 +0800

linux-mtk (5.15.0-1022.24) jammy; urgency=medium

  * Miscellaneous Ubuntu changes
    - SAUCE: (no-up) arm64: dts: mediatek: genio-700-evk: add display-edphdmi.dtbo
      build
    - SAUCE: (no-up) arm64: dts: mediatek: add genio-1200-evk-ufs.dtb build

  * Miscellaneous upstream changes
    - apusys: trigger power off from APMCU when APU is not loaded
    - apusys: trigger power off from APMCU when APU is not loaded

 -- Hsuan-Yu Lin <shane.lin@canonical.com>  Fri, 04 Aug 2023 15:27:02 +0800

linux-mtk (5.15.0-1021.23) jammy; urgency=medium

  * Miscellaneous Ubuntu changes
    - SAUCE: (no-up) arm64: dts: mediatek: genio-700-evk: add display related dts
    - SAUCE: (no-up) arm64: dts: mediatek: genio-350-evk: add display related dts
    - [Config] updateconfigs for CONFIG_VIDEO_MEDIATEK_MDP3_CAP

  * Miscellaneous upstream changes
    - dtbo: genio-700-evk: move the eDP settings from dts to dtbo
    - dtbo: genio: Remove the 3.3v regulator always on of edp panel
    - dtbo: genio-700-evk: assign pipeline for hdmidp case
    - dtbo: genio-700-evk: refine display dtbo
    - dtbo: genio-700-evk: add single display dtbo
    - dtbo: genio-700-evk: add headless dts
    - dtbo: genio-350-evk: add single display dtbo
    - dtbo: mt8365-evk: add headless dts
    - GENIO: net: stmmac: avoid system waked by other interrupts
    - GENIO: net: stmmac: disable stop rxc when enable EEE
    - GENIO: net: stmmac: disable SPH feature
    - GENIO: arm64: dts: mediatek: genio-700-evk: add USB P2 IDDIG
    - GENIO: arm64: dts: mediatek: genio-1200-evk: Disable UFS nodes
    - GENIO: arm64: dts: mediatek: Add genio-1200-evk-ufs
    - GENIO: arm64: dts: mediatek: genio-700-evk: update mmc1 regulator config
    - GENIO: arm64: dts: mediatek: Add initial dts for Genio 510 EVK
    - GENIO: arm64: dts: mediatek: Update genio 510 dts
    - GENIO: arm64: dts: mediatek: Back port from genio-700
    - GENIO: arm64: dts: mediatek: modify cpus nodes for genio 510
    - GENIO: media: platform: mtk-mdp3: Fix uninit use in call
    - GENIO: media: platform: mtk-mdp3: Prevent multi-open on capture device
    - GENIO: media: platform: mtk-mdp3: Add timestamp to mdp-capture capture buf
    - GENIO: usb: typec: tcpm: tcpci_mt6360: fix tcpci_register_port failed log
    - GENIO: media: platform: mtk-mdp3: modify stop streaming/disconnect flow
    - GENIO: media: platform: mtk-mdp3: Enable capture flow by split component
    - GENIO: soc: mediatek: hdmirx: mt8195: Add 2ch 4ch 6ch PCM
    - GENIO: vcodec: mt8395: venc: Config irq by core number

 -- Jian Hui Lee <jianhui.lee@canonical.com>  Fri, 28 Jul 2023 13:01:54 +0800

linux-mtk (5.15.0-1020.22) jammy; urgency=medium

  * Miscellaneous upstream changes
    - GENIO: arm64: dts: mediatek: update Makefile for Genio 1200 EVK P1V1

 -- Hsuan-Yu Lin <shane.lin@canonical.com>  Wed, 19 Jul 2023 17:15:42 +0800

linux-mtk (5.15.0-1019.21) jammy; urgency=medium

  * INVALID or PRIVATE BUG (LP: #2022024)
    - [Config] Enable CONFIG_SND_SOC_MT8395_EVK=y

  * Miscellaneous Ubuntu changes
    - SAUCE: (no-up) re-arrange mtk-vcu-driver
    - SAUCE: (no-up) add Kconfig for vcu mt8395 driver
    - SAUCE: (no-up) re-arrange mtk-vcodec-driver
    - SAUCE: (no-up) mtk-vcodec-driver/mtk-vcu-driver/mtk-mdp-driver: add module
      build script for the rearrangement.

  * Miscellaneous upstream changes
    - GENIO: drm/mediatek: adjust log print when comp not found on certain path
    - Local patch to update apusys and linux kernel
    - GENIO: arm64: dtbo: mediatek: Update apusys.dts
    - GENIO: dt-bindings: power: Add MT8195 hdmirx power domain
    - GENIO: pm-domains: mt8195: Add hdmi-rx power domain
    - GENIO: arm64: dts: mt8195: Add hdmi-rx power domain
    - GENIO: dt-bindings: soc: mediatek: Add MT8195 hdmirx binding
    - GENIO: soc: mediatek: hdmirx: mt8195: support hdmirx
    - GENIO: arm64: dts: mt8195: support hdmirx
    - GENIO: ASoC: mediatek: mt8195: support hdmirx clk
    - GENIO: ASoC: mediatek: mt8195: add multi-in dai
    - GENIO: ASoC: mediatek: mt8195: add multi-in driver
    - GENIO: ASoC: mediatek: mt8195: add multi-in BE in machine driver
    - GENIO: arm64: dts: mt8195: add hdmirx clk in dtsi
    - GENIO: ASoC: mediatek: mt8195: revise multi-in control flow
    - GENIO: ASoC: mediatek: mt8195: fixup multi-in channels setting
    - GENIO: soc: mediatek: hdmirx: mt8195: Add driver version IOCTL
    - UPSTREAM: net: stmmac: fix unbalanced ptp clock issue in suspend/resume flow
    - GENIO: arm64: dts: mediatek: genio-700-evk: add AUDGLB for dmic route
    - GENIO: arm64: dts: mediatek: genio-700-evk: remove eDP settings from dts
    - GENIO: drm/mediatek: panel-edp: add pow seq delay for edp and lvds panels
    - GENIO: arm64: dts: mediatek: genio-1200-evk: Remove reserved memory for cma
      heap which gpu uses
    - GENIO: arm64: dts: mediatek: genio-700-evk: Remove reserved memory for cma
      heap which gpu uses
    - GENIO: arm64: dts: mediatek: mt8195-demo: Remove reserved memory for cma
      heap which gpu uses
    - GENIO: arm64: dts: mediatek: mt8365-evk: Remove reserved memory for cma heap
      which gpu uses
    - GENIO: arm64: dts: mediatek: mt8365-pumpkin: Remove reserved memory for cma
      heap which gpu uses
    - GENIO: arm64: dts: mediatek: add support for triple display
    - GENIO: drm/mediatek: add support for triple display
    - GENIO: phy: phy-mtk-hdmi: add control for power 5V
    - GENIO: arm64: dts: mediatek: genio-1200-evk: add DPTX dai-link
    - GENIO: drm/mediatek: enable ovl output clamp
    - GENIO: FIXUP: arm64: dts: mt8188: set HDMI 5V GPIO pin as reg mode
    - GENIO: FIXUP: arm64: dts: mt8195: set HDMI 5V GPIO pin as reg mode
    - GENIO: arm64: dts: mediatek: genio-1200-evk: Fix MT6360 sub-PMIC interrupt
    - GENIO: ASoC: mediatek: mt8188: revise DMIC hires sequence
    - GENIO: FIXUP: ASoC: mediatek: mt8188: fix multi_gate clk leak
    - GENIO: include: linux: Add mtk-hdmirx-intf.h
    - GENIO: soc: mediatek: hdmirx: mt8195: Support hdmirx capture device
    - GENIO: soc: mediatek: hdmirx: mt8195: Implement the "remove" platform
      operation
    - GENIO: arm64: dts: mediatek: genio-1200-evk: Add ethernet alias
    - GENIO: arm64: dts: mediatek: genio-700-evk: Add ethernet alias
    - GENIO: arm64: dts: mediatek: mt8365-evk: Add ethernet alias
    - GENIO: drm/mediatek: enable renderD for mediatek-drm
    - Revert "Bluetooth: btmtksdio: implement set_bdaddr()"
    - Revert "btmtksdio: Add some quirks to manage invalid capabilities"
    - Revert "Bluetooth: btmtksdio: Fix PM sleep states"
    - Revert "Bluetooth: btmtksdio: add MODULE_DEVICE_TABLE()"
    - Revert "Bluetooth: btmtksdio: read MT7663 BD address at correct offset"
    - Revert "Bluetooth: btmtksdio: read bdaddr from E-fuse"
    - Revert "Bluetooth: btmtksdio: fix close() pm for HCI_CHANNEL_USER"
    - Revert "Revert "Bluetooth: btmtksdio: add MODULE_DEVICE_TABLE()""
    - GENIO: arm64: dts: mediatek: genio-700-evk: fix wrong pinctrl property
    - UPSTREAM: pinctrl: mediatek: add rsel setting on MT8195
    - UPSTREAM: pinctrl: mediatek: Fix the drive register definition of some Pins
    - GENIO: arm64: dts: mediatek: genio-1200-evk: fix wrong pinctrl property
    - GENIO: arm64: dts: mediatek: i1200-demo: fix wrong pinctrl property
    - GENIO: drm/mediatek: add has_gamma to mtk_disp_gamma_data
    - GENIO: arm64: dts: mt8365: remove display gamma extra compatible
    - GENIO: arm64: dts: mt8188: remove display gamma extra compatible
    - GENIO: arm64: dts: mt8195: remove display gamma extra compatible
    - GENIO: soc: mediatek: hdmirx: mt8195: remove phy irq
    - FROMGIT: Bluetooth: btmtksido: rely on BT_MTK module
    - FROMGIT: Bluetooth: btmtksdio: add .set_bdaddr support
    - FROMGIT: Bluetooth: btmtksdio: explicitly set WHISR as write-1-clear
    - FROMGIT: Bluetooth: btmtksdio: move interrupt service to work
    - FROMGIT: Bluetooth: btmtksdio: update register CSDIOCSR operation
    - FROMGIT: Bluetooth: btmtksdio: use register CRPLR to read packet length
    - FROMGIT: Bluetooth: btmtksdio: transmit packet according to status TX_EMPTY
    - FROMGIT: Bluetooth: btmtksdio: add MT7921s Bluetooth support
    - UPSTREAM: Bluetooth: btmtksdio: add support of processing firmware coredump
      and log
    - UPSTREAM: Bluetooth: btmtksdio: drop the unnecessary variable created
    - UPSTREAM: Bluetooth: btmtksdio: enable msft opcode
    - Revert "Bluetooth: btmtksdio: fix resume failure"
    - UPSTREAM: Bluetooth: btmtksdio: handle runtime pm only when sdio_func is
      available
    - UPSTREAM: Bluetooth: btmtksdio: fix resume failure
    - UPSTREAM: Bluetooth: btmtksdio: rename btsdio_mtk_reg_read
    - UPSTREAM: Bluetooth: btmtksdio: enable AOSP extension for MT7921
    - UPSTREAM: Bluetooth: mt7921s: Support wake on bluetooth
    - UPSTREAM: Bluetooth: mt7921s: Enable SCO over I2S
    - UPSTREAM: Bluetooth: btmtksdio: move struct reg_read_cmd to common file
    - UPSTREAM: Bluetooth: btmtksdio: clean up inconsistent error message in
      btmtksdio_mtk_reg_read
    - UPSTREAM: Bluetooth: mt7921s: fix firmware coredump retrieve
    - UPSTREAM: Bluetooth: btmtksdio: refactor
      btmtksdio_runtime_[suspend|resume]()
    - UPSTREAM: Bluetooth: mt7921s: fix bus hang with wrong privilege
    - UPSTREAM: Bluetooth: mt7921s: fix btmtksdio_[drv|fw]_pmctrl()
    - UPSTREAM: Bluetooth: btmtksdio: lower log level in
      btmtksdio_runtime_[resume|suspend]()
    - UPSTREAM: Bluetooth: btmtksdio: run sleep mode by default
    - UPSTREAM: Bluetooth: btmtksdio: mask out interrupt status
    - UPSTREAM: Bluetooth: mt7921s: support bluetooth reset mechanism
    - UPSTREAM: Bluetooth: mediatek: fix the conflict between mtk and msft vendor
      event
    - UPSTREAM: Bluetooth: btmtksdio: Fix kernel oops when sdio suspend.
    - UPSTREAM: Bluetooth: mt7921s: Set HCI_QUIRK_VALID_LE_STATES
    - UPSTREAM: Bluetooth: mt7921s: Add .get_data_path_id
    - UPSTREAM: Bluetooth: mt7921s: Add .btmtk_get_codec_config_data
    - FROMGIT: Bluetooth: mt7921s: Fix the incorrect pointer check
    - UPSTREAM: Bluetooth: mt7921s: Add WBS support
    - FROMGIT: Bluetooth: btmtksdio: fix use-after-free at btmtksdio_recv_event
    - FROMGIT: Bluetooth: btmtksdio: fix possible FW initialization failure
    - FROMGIT: Bluetooth: btmtksdio: fix the reset takes too long
    - FROMGIT: Bluetooth: btmtksdio: Add in-band wakeup support
    - BACKPORT: FROMGIT: ASoC: mediatek: mt8188: fix use-after-free in driver
      remove path
    - FROMGIT: ASoC: mediatek: mt8188: remove supply AUDIO_HIRES
    - GENIO: FIXUP: ASoC: mediatek: mt8195: fix PCM_BE dai-link
    - BACKPORT: FROMGIT: ASoC: mediatek: mt8195: fix use-after-free in driver
      remove path
    - GENIO: arm64: dts: mediatek: genio-1200-evk: Modify MCP2518 regulator
    - GENIO: soc: mediatek: hdmirx: mt8195: Handle capture device while cable
      unplugged
    - Bluetooth: btmtksdio: fix build error
    - GENIO: soc: mediatek: hdmirx: mt8195: Add suspend notifications
    - BACKPORT: FROMGIT: PM / devfreq: Reduce log severity for informative message
    - GENIO: net: stmmac: fix MAC not working when resume with WoL active
    - GENIO: arm64: dts: mt8195: add mac wol property in eth node
    - GENIO: arm64: dts: mt8188: add mac wol property in eth node
    - GENIO: media: platform: mtk-mdp3: Set NV12/YV12 buffer align to 16x16
    - GENIO: drm/mediatek: panel-dsi: fix startek-kd070fhfid015 unprepare config
    - GENIO: arm64: dts: mediatek: mt8183: Update to newest DT SENINF port numbers
    - CHROMIUM: Bluetooth: btusb: Add debug message for CSR controllers
    - CHROMIUM: Bluetooth: btusb: don't call kfree_skb() under spin_lock_irqsave()
    - UPSTREAM: Bluetooth: btrtl: Add btrealtek data struct
    - UPSTREAM: Bluetooth: btusb: Ignore zero length of USB packets on ALT 6 for
      specific chip
    - CHROMIUM: Bluetooth: btintel: Add support for GalePeak controller
    - CHROMIUM: Bluetooth: btusb: Add VID:PID 13d3:3529 for Realtek RTL8821CE
    - FROMLIST: Bluetooth: btusb: Add a new PID/VID 04ca/3804 for MT7922
    - FROMLIST: Bluetooth: btusb: Add a new PID/VID 0489/e102 for MT7922
    - GENIO: arm64: dts: mt8195: eth pin setting align to upstream
    - GENIO: arm64: dts: mediatek: genio-1200-evk: remove
      mt6359_vcn33_2_bt_ldo_reg always-on
    - GENIO: arm64: dts: mediatek: genio-700-evk: remove unused pin120
    - GENIO: soc: mediatek: hdmirx: mt8195: Add hdmi2.0 edid raw data
    - GENIO: arm64: dts: mediatek: Add new machine genio-1200-evk-p1v1
    - GENIO: arm64: dts: mediatek: genio-1200-evk: Update DMIC mode for PVT
    - GENIO: arm64: dts: mediatek: genio-1200-evk: Modify mt6360 pd irq gpio
    - GENIO: arm64: dts: mediatek: genio-1200-evk: Modify MCP2518 irq gpio
    - GENIO: arm64: dts: mediatek: genio-1200-evk: add UART1 RTS,CTS pin
    - GENIO: arm64: dts: mediatek: genio-1200-evk: Add fan
    - GENIO: arm64: dts: mediatek: genio-1200-evk: add pin for mt7921 wifi 3v3
    - GENIO: drm/mediatek: panel-dsi: Add startek-kd070fhfid078
    - GENIO: arm64: dts: mediatek: genio-1200-evk: set p1v2 dsi panel and bl pwm
    - GENIO: arm64: dts: mediatek: genio-1200-evk: Update model name
    - GENIO: arm64: dts: mt6360: add adc and led nodes
    - UPSTREAM: usb: host: xhci-mtk: omit shared hcd if either root hub has no
      ports
    - UPSTREAM: xhci: factor out parts of xhci_gen_setup()
    - UPSTREAM: xhci: prepare for operation w/o shared hcd
    - UPSTREAM: usb: host: xhci-plat: create shared hcd after having added main
      hcd
    - UPSTREAM: usb: host: xhci-plat: prepare operation w/o shared hcd
    - UPSTREAM: usb: host: xhci-plat: omit shared hcd if either root hub has no
      ports
    - GENIO: arm64: dts: mediatek: genio-700-evk: set rt1715 port node
    - GENIO: arm64: dts: mediatek: genio 700-evk: Remove regulators apusys used
    - GENIO: arm64: dts: mediatek: mt8195-demo: Remove regulators apusys used
    - GENIO: arm64: dts: mediatek: genio 1200-evk: Remove regulators apusys used
    - GENIO: arm64: dts: mediatek: genio 1200-evk-p1v1: Remove regulators apusys
      used
    - GENIO: dt-bindings: media: camsv: Add mt8183-camsv to compatible list
    - GENIO: media: platform: mtk-isp: Add camsv for mt8183 platforms
    - bitfield.h: Fix "type of reg too small for mask" test
    - FROMLIST: wifi: mt76: mt7921: fix wrong power after multiple SAR set
    - UPSTREAM: Revert "mt76: use IEEE80211_OFFLOAD_ENCAP_ENABLED instead of
      MT_DRV_AMSDU_OFFLOAD"
    - UPSTREAM: wifi: mt76: mt7921: Add missing __packed annotation of struct
      mt7921_clc
    - UPSTREAM: wifi: mt76: do not send firmware FW_FEATURE_NON_DL region
    - wifi: mt76: mt7921: fix reporting of TX AGGR histogram
    - wifi: mt76: fix coverity overrun-call in mt76_get_txpower()
    - wifi: mt76: do not run mt76u_status_worker if the device is not running
    - UPSTREAM: mt76: mt7915: Fix PCI device refcount leak in
      mt7915_pci_init_hif2()
    - UPSTREAM: wifi: mt76: mt7921e: add pci .shutdown() support
    - UPSTREAM: wifi: mt76: mt7915: fix mt7915_mac_set_timing()
    - FROMLIST: wifi: mt76: add memory barrier to SDIO queue kick
    - FROMLIST: wifi: mt76: mt7921: fix rx filter incorrect by drv/fw inconsistent
    - FROMLIST: wifi: mt76: mt7921: fix PCI DMA hang after reboot.
    - UPSTREAM: wifi: mt76: mt7915: add missing of_node_put()
    - BACKPORT: wifi: mt76: mt7915: fix mcs value in ht mode
    - UPSTREAM: wifi: mt76: mt7921s: fix slab-out-of-bounds access in sdio host
    - UPSTREAM: wifi: mt76: mt7915: drop always true condition of
      __mt7915_reg_addr()
    - UPSTREAM: wifi: mt76: fix coverity uninit_use_in_call in
      mt76_connac2_reverse_frag0_hdr_trans()
    - BACKPORT: wifi: mt76: mt7915: fix band_idx usage
    - UPSTREAM: wifi: mt76: mt7921: fix error code of return in mt7921_acpi_read
    - UPSTREAM: wifi: mt76: mt7915: fix unintended sign extension of
      mt7915_hw_queue_read()
    - UPSTREAM: wifi: mt76: mt7921: reduce polling time in pmctrl
    - UPSTREAM: wifi: mt76: add flexible polling wait-interval support
    - wifi: mt7601u: fix an integer underflow
    - wifi: mt76: dma: free rx_head in mt76_dma_rx_cleanup
    - FROMLIST: wifi: mt76: mt7921e: fix probe timeout after reboot
    - UPSTREAM: wifi: mt76: mt7915: check return value before accessing
      free_block_num
    - UPSTREAM: wifi: mt76: mt7921: add support to update fw capability with MTFG
      table
    - UPSTREAM: wifi: mt76: fix rx checksum offload on mt7615/mt7915/mt7921
    - UPSTREAM: wifi: mt76: mt7915: call mt7915_mcu_set_thermal_throttling() only
      after init_work
    - BACKPORT: wifi: mt76: mt7915: rework mt7915_mcu_set_thermal_throttling
    - UPSTREAM: wifi: mt76: mt7915: rework mt7915_thermal_temp_store()
    - UPSTREAM: wifi: mt76: connac: fix txd multicast rate setting
    - UPSTREAM: wifi: mt76: mt7915: expose device tree match table
    - UPSTREAM: wifi: mt76: mt7921e: stop chip reset worker in unregister hook
    - UPSTREAM: mt76: mt7921: fix kernel panic by accessing unallocated
      eeprom.data
    - UPSTREAM: wifi: mt76: mt7915: unlock on error in mt7915_thermal_temp_store()
    - UPSTREAM: wifi: mt76: mt7921e: improve reliability of dma reset
    - wifi: mt76: mt7921e: Set memory space enable in PCI_COMMAND if unset
    - wifi: mt76: add missing locking to protect against concurrent rx/status
      calls
    - wifi: mt76: handle failure of vzalloc in mt7615_coredump_work
    - wifi: mt76: fix 6GHz high channel not be scanned
    - UPSTREAM: wifi: mt76: mt7921: fix missing unwind goto in `mt7921u_probe`
    - BACKPORT: wifi: mt76: fix bandwidth 80MHz link fail in 6GHz band
    - FROMLIST: wifi: mt76: mt7921: fix non-PSC channel scan fail
    - BACKPORT: wifi: mt76: do not run mt76_unregister_device() on unregistered hw
    - UPSTREAM: wifi: mt76: mt7915: add error message in
      mt7915_thermal_set_cur_throttle_state()
    - UPSTREAM: wifi: mt76: mt7915: rework init flow in mt7915_thermal_init()
    - wifi: mt76: mt7615: fix possible race in mt7615_mac_sta_poll
    - UPSTREAM: wifi: mt76: fix receiving LLC packets on mt7615/mt7915
    - UPSTREAM: wifi: mt76: connac: fix possible unaligned access in
      mt76_connac_mcu_add_nested_tlv
    - GENIO: arm64: dts: mediatek: genio-700-evk: enable hub initialization
    - GENIO: PCI: mediatek-gen3: Improve suspend/resume callback
    - GENIO: arm64: dts: mediatek: Add idle status in PCIe0 node
    - GENIO: soc: mediatek: mutex: add SPLIT for capture device
    - GENIO: soc: mediatek: mmsys: add SPLIT for capture device
    - GENIO: media: platform: mtk-mdp3: Add V4l2 capture device for HDMIRX
    - GENIO: arm64: dts: mediatek: mt8195: Add gce related setting
    - GENIO: media: platform: mtk-mdp3: config independent PP for HDMI-RX
    - GENIO: arm64: dts: mediatek: genio-700-evk: re-add vusb33-supply
    - GENIO: net: stmmac: RMII clock source use internal PLL
    - GENIO: soc: mediatek: hdmirx: mt8195: Change output video INFO
    - GENIO: include: soc: mediatek: Add frame_rate info to hdmirx interface
    - GENIO: soc: mediatek: hdmirx: mt8195: Add frame_rate info to capture
      interface
    - GENIO: media: platform: mtk-mdp3: Add enum_frameintervals for capture device
    - GENIO: media: platform: mtk-mdp3: Add color profile for HDMIRX RGB input
    - GENIO: BACKPORT: mtk-vcu-driver: mt8167: Commit for out-of-tree build
    - GENIO: mtk-vcu-driver: mt8167: Fix using uninitialized value issue in
      vcu_ipi_get
    - GENIO: mtk-vcu-driver: mt8395: Fix dma map offset check
    - GENIO: mtk-vcu-driver: mt8365: Clean redundent tmp files
    - GENIO: mtk-vcu-driver: mt8365: Change file mode
    - GENIO: mtk-vcu-driver: mt8365: Revise output kernel module naming
    - mtk-vcu-mt8395: Commit for out-of-tree build
    - mt8395: mtk-vcu: revise vcu release flow
    - mt8395: Makefile: Add extra options
    - GENIO: mtk-vcu-driver: mt8395: Add multiple vcu devices support
    - GENIO: mtk-vcu-driver: mt8395: Add IPI ID for camera
    - GENIO: mtk-vcu-driver: mt8395: Add DMABUF fd registration for camera
    - GENIO: mtk-vcu-driver: mt8395: enable encode to support gce
    - GENIO: mtk-vcu-driver: mt8395: Fix using uninitialized value issue in
      vcu_dmabuf_get_dma_addr
    - GENIO: mtk-vcu-driver: mt8395: Fix using uninitialized value issue in
      vcu_ipi_get
    - GENIO: mtk-vcu-driver: mt8395: remove invalid return
    - GENIO: mtk-vcu-driver: mt8395: fix array out of bounds issue
    - GENIO: mtk-vcu-driver: mt8395: destroy pkt if cmdq_pkt_create return error
    - GENIO: mtk-vcu-driver: mt8395: add workqueue to process gce callback
    - GENIO: mtk-vcu-driver: mt8395: Move vcud_task to local
    - GENIO: mtk-vcu-driver: mt8395: Fix dma map offset check
    - GENIO: mtk-vcu-driver: mt8395: security avoid gce buf UAF
    - GENIO: mtk-vcu-driver: mt8395: remove suspend logic in gce_flush
    - GENIO: mtk-vcu-driver: mt8395: fix security issue
    - GENIO: vcu: mt8395: fix security issue
    - GENIO: mtk-vcu-driver: mt8395: Add vcu_id check before calling vcu_get_task
    - GENIO: mtk-vcu-driver: mt8395: Change file mode
    - GENIO: mtk-vcu-driver: mt8395: Clean redundent tmp files
    - GENIO: mtk-vcu-driver: mt8395: Revise output kernel module naming
    - GENIO: mtk-vcu-driver: mt8395: Add gce_cmds_mutex & buff_sem to protect gce
      related data
    - GENIO: BACKPORT: mtk-vcodec-driver: mt8167: Commit for out-of-tree build
    - GENIO: mtk-vcodec-driver: mt8167: Set input buffer 16x32 alignment
    - GENIO: mtk-vcodec-driver: mt8167: Fix memory leak in vdec_init
    - GENIO: mtk-vcodec-driver: mt8365: Change some log level to warning
    - GENIO: mtk-vcodec-driver: mt8365: Clean temp file completely
    - GENIO: mtk-vcodec-driver: mt8365: Change file mode
    - GENIO: mtk-vcodec-driver: mt8167: Set default profile/level/tier
    - GENIO: mtk-vcodec-driver: mt8167: Use context id to find vcu instance
    - GENIO: mtk-vcodec-driver: mt8365: Revise output kernel module naming
    - mtk-vcodec-mt8395: Commit for out-of-tree build
    - media: platform: mt8395: g_fmt & s_fmt get resolution should be same
    - mtk-vcodec: add get_ctrl for min buffer count
    - mtk-vcodec-mt8395: modify the value of bytesperline
    - mtk-vcodec-mt8395: enable "prepend header" as default
    - mt8395: venc: Disable unsupported encode controls
    - mt8395: venc:  Revise the setting of profile/level and bitrate
    - mt8395: venc: Revise the suspend/resume flow
    - mt8395: vdec: fix the frame size of V4L2_SEL_TGT_CROP_DEFAULT
    - mt8395: Makefile: Add extra options
    - GENIO: vcodec: mt8395: fix Kernel Oops during stressing
    - GENIO: mtk-vcodec: mt8395: enable gce for encode
    - GENIO: vcodec: mt8395: Fix overlapping_copy error in
      mtk_vcodec_build_log_string
    - GENIO: vcodec: mt8395: fix uninitialized error in create_general_buffer_info
    - GENIO: vcodec: mt8395: fix overflow issue in mtk_vcodec_util.h
    - GENIO: mtk-vcodec-driver: mt8188: Add support vcodec driver
    - GENIO: mtk-vcodec-driver: mt8395: Add bitstream size register dump for debug
    - GENIO: mtk-vcodec-driver: mt8195: Add null check for wait_for_done_ctx
    - GENIO: mtk-vcodec-driver: mt8395: Clean temp file completely
    - GENIO: mtk-vcodec-driver: mt8395: Change some log level to warning
    - GENIO: mtk-vcodec-driver: mt8395: add check for wait_for_done_ctx
    - GENIO: mtk-vcodec-driver: mt8395: fix for encode suspend hang
    - GENIO: vcodec: mt8395: vdec: use bitstream fmt to init vcu
    - GENIO: vcodec: mt8395: vdec: sync code
    - GENIO: vcodec: mt8395: vdec: fix security issue
    - GENIO: vcodec: mt8395: venc: fix security issue
    - GENIO: mtk-vcodec-driver: mt8395: Revise output kernel module naming
    - GENIO: mtk-vcodec-driver: mt8395: Revise the error handling of get control
    - GENIO: mtk-vcodec-driver: mt8395: rename port-arg-num
    - GENIO: BACKPORT: mtk-mdp-driver: mt8167: Commit for out-of-tree build
    - GENIO: mtk-mdp-driver: mt8167: Add denpendency to vcu driver
    - GENIO: mtk-mdp-driver: mt8365: fix OUTPUT colorspace setting
    - GENIO: mtk-mdp-driver: mt8365: Change file mode
    - GENIO: mtk-mdp-driver: mt8365: Clean redundent tmp files
    - GENIO: mtk-mdp-driver: mt8365: Revise output kernel module naming
    - dtbo: mt8195-demo: video: add port info setting for venc
    - dtbo: mt8365: video: Revise vcu, vdec, and venc compatible string
    - GENIO: arm64: dtbo: mediatek: Update G1200-EVK and P1V1

 -- Hsuan-Yu Lin <shane.lin@canonical.com>  Tue, 18 Jul 2023 18:32:33 +0800

linux-mtk (5.15.0-1018.20) jammy; urgency=medium

  * INVALID or PRIVATE BUG (LP: #2019562) // INVALID or PRIVATE BUG
    (LP: #2021599)
    - GENIO: arm64: dtbo: mediatek: Update G1200-EVK / G700 / G350

 -- Hsuan-Yu Lin <shane.lin@canonical.com>  Mon, 12 Jun 2023 15:34:37 +0800

# For older changelog entries, run 'apt-get changelog linux-mtk-headers-5.15.0-1027'
